package cn.ibizlab.r7.runtime.core.r7rt_base.filter;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import cn.ibizlab.r7.runtime.util.ISearchFilter;
import cn.ibizlab.r7.runtime.util.domain.DataObj;
import com.fasterxml.jackson.annotation.JsonFormat;
import cn.ibizlab.r7.runtime.util.SearchContext;
import cn.ibizlab.r7.runtime.util.SearchFieldFilter;
import cn.ibizlab.r7.runtime.util.enums.SearchFieldType;
import cn.ibizlab.r7.runtime.util.enums.SearchGroupType;
import cn.ibizlab.r7.runtime.util.SearchGroupFilter;
import lombok.Data;

/**
 * 关系型数据实体[UserGroup] 查询条件对象
 */
@Data
public class UserGroupSearchContext extends SearchContext {

	   public String n_datasourcetype_eq;//[数据来源]
       public void setN_datasourcetype_eq(String n_datasourcetype_eq) {
            this.n_datasourcetype_eq=n_datasourcetype_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("datasourcetype");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_datasourcetype_eq);
            this.getCondition().add(searchField);
       }
	   public String n_usergroupname_like;//[用户对象组名称]
       public void setN_usergroupname_like(String n_usergroupname_like) {
            this.n_usergroupname_like=n_usergroupname_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("usergroupname");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_usergroupname_like);
            this.getCondition().add(searchField);
       }

	/**
	 * 启用快速搜索
	 */
	public void setQuery(String strQuery)
	{
		 this.query=strQuery;
         if(!org.springframework.util.StringUtils.isEmpty(strQuery)){
           SearchGroupFilter searchGroupFilter=new SearchGroupFilter();
           searchGroupFilter.setSearchGroupType(SearchGroupType.OR);

           SearchFieldFilter usergroupname=new SearchFieldFilter();
           usergroupname.setParam("usergroupname");
           usergroupname.setCondition(SearchFieldType.LIKE);
           usergroupname.setValue(strQuery);
           searchGroupFilter.getCondition().add(usergroupname);
        this.getCondition().add(searchGroupFilter);   

           
           
        }
	}
}
